MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029768Open CASCADE[OCCT] OCCT:Visualizationpublic2018-05-14 19:232018-06-29 21:18
Reporterkgv 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029768: Visualization, TKOpenGl - structure is entirely clipped by suppressed clipping
DescriptionGraphic3d_ClipPlane::ToOverrideGlobal() is expected to disable global clipping planes, however OpenGl_Structure::Render() still applies global planes for early clipping of entire presentation.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027787closedbugmaster Open CASCADE Visualization, TKOpenGl - Optimize rendering by additional check whether the object is fully clipped or not 
child of 0027816closedbugmaster Open CASCADE Visualization - provide an API for overriding clipping planes list 

-  Notes
(0075971)
git (administrator)
2018-05-14 19:26

Branch CR29768 has been created by kgv.

SHA-1: 886fc342e2973e6b55f0b24492bfbc79fbd8d563


Detailed log of new commits:

Author: kgv
Date: Mon May 14 19:25:16 2018 +0300

    0029768: Visualization, TKOpenGl - structure is entirely clipped by suppressed clipping
    
    OpenGl_Structure::Render(), added missing check for disabled state of the plane.
(0075972)
kgv (developer)
2018-05-14 20:35

Please take the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29768-master-KGV [^]
(0076148)
bugmaster (administrator)
2018-05-23 11:47

Combination -
OCCT branch : CR29768 SHA - 886fc342e2973e6b55f0b24492bfbc79fbd8d563
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18404.4099999997 / 18243.73999999987 [+0.88%]
Products
Total CPU difference: 7494.890000000055 / 7505.440000000054 [-0.14%]
Windows-64-VC10:
OCCT
Total CPU difference: 18100.031625098512 / 18049.78370299853 [+0.28%]
Products
Total CPU difference: 7652.270252699952 / 7697.713343999945 [-0.59%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076172)
git (administrator)
2018-05-23 14:40

Branch CR29768 has been updated by kgv.

SHA-1: 82134f9e9d8a80e0ea802fdddbd5de47b63d0521


Detailed log of new commits:

Author: kgv
Date: Wed May 23 14:35:56 2018 +0300

    # test case for 0029768
    
    vclipplane has been extended with new option -setOverrideGlobal.

(0076173)
git (administrator)
2018-05-23 14:41

Branch CR29768_1 has been created by kgv.

SHA-1: c0118e9f2994dbe42c870cfca588a5df92d68485


Detailed log of new commits:

Author: kgv
Date: Mon May 14 19:25:16 2018 +0300

    0029768: Visualization, TKOpenGl - structure is entirely clipped by suppressed clipping
    
    OpenGl_Structure::Render(), added missing check for disabled state of the plane.
    vclipplane command has been extended with new option -setOverrideGlobal.
(0076947)
git (administrator)
2018-06-23 13:56

Branch CR29768 has been deleted by kgv.

SHA-1: 82134f9e9d8a80e0ea802fdddbd5de47b63d0521
(0076948)
git (administrator)
2018-06-23 13:56

Branch CR29768_1 has been deleted by kgv.

SHA-1: c0118e9f2994dbe42c870cfca588a5df92d68485

- Related Changesets
occt: master 32ca7711
Timestamp: 2018-05-14 16:25:16
Author: abv
Committer: abv
Details ] Diff ]
0029768: Visualization, TKOpenGl - structure is entirely clipped by suppressed clipping

OpenGl_Structure::Render(), added missing check for disabled state of the plane.
vclipplane command has been extended with new option -setOverrideGlobal.
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug29768 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-14 19:23 kgv New Issue
2018-05-14 19:23 kgv Assigned To => kgv
2018-05-14 19:24 kgv Relationship added related to 0029729
2018-05-14 19:26 git Note Added: 0075971
2018-05-14 19:28 kgv Relationship added related to 0027816
2018-05-14 19:28 kgv Relationship added related to 0027787
2018-05-14 19:29 kgv Relationship replaced child of 0027816
2018-05-14 19:30 kgv Product Version 7.2.0 => 7.1.0
2018-05-14 20:35 kgv Note Added: 0075972
2018-05-14 20:35 kgv Assigned To kgv => bugmaster
2018-05-14 20:35 kgv Severity minor => trivial
2018-05-14 20:35 kgv Status new => resolved
2018-05-14 20:35 kgv Status resolved => reviewed
2018-05-15 12:05 kgv Relationship added related to 0029772
2018-05-23 11:47 bugmaster Note Added: 0076148
2018-05-23 11:47 bugmaster Status reviewed => tested
2018-05-23 11:48 bugmaster Test case number => Not needed
2018-05-23 14:40 git Note Added: 0076172
2018-05-23 14:41 git Note Added: 0076173
2018-05-24 16:02 abv Changeset attached => occt master 32ca7711
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076947
2018-06-23 13:56 git Note Added: 0076948
2018-06-29 21:13 aiv Fixed in Version => 7.3.0
2018-06-29 21:18 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker